package org.xbib.interlibrary.ldap.util;

import javax.naming.directory.SearchControls;

public enum SearchScope {

    BASE(SearchControls.OBJECT_SCOPE),
    ONE(SearchControls.ONELEVEL_SCOPE),
    SUB(SearchControls.SUBTREE_SCOPE);

    private final int value;

    SearchScope(int value) {
        this.value = value;
    }

    public int getValue() {
        return value;
    }
}
